import { EInputComponentType, EInputType } from '@/UI-kit/types';
import { getRvpValidator } from '@/modules/documents/constants';
import { IDocsSchemaType } from '@/modules/form/types';
import { uiKitI18n } from '@/configs';

export function useRVPFieldsScheme(): IDocsSchemaType[] {
    return [
        {
            name: 'number',
            label: uiKitI18n?.global.t(
                'moduleDocuments.forms.temporary_residence_permit.number.label',
            ),
            type: EInputType.text,
            placeholder: '______/____/__',
            validateOnChange: false,
            validator: getRvpValidator(),
            mask: '######/####/##',
            isShowClear: true,
            components: EInputComponentType.mask,
        },
    ];
}
